ランタイム: Mix::Geometry::OBB Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Mix::Geometry::OBB Class Reference

OBBクラス More...

`#include <OBB.h>`

Collaboration diagram for Mix::Geometry::OBB:
[legend]

## Public Types

enum | AXIS { AXIS_X = 0, AXIS_Y = 1, AXIS_Z = 2 }
| 軸列挙定数 More...

## Public Member Functions

| OBB (void)
| コンストラクタ More...
| OBB (const Mix::Vector3 &c, const Mix::Vector3 &ax, const Mix::Vector3 &ay, const Mix::Vector3 &az, const Mix::Vector3 &l)
| コンストラクタ More...
void | ComputePoints (void)
| 設定された「中心座標」「XYZ軸」「XYZ軸の半分の長さ」を元にOBBの頂点座標(8つ)を求めます More...

## Public Attributes

Mix::Vector3 | center
| 中心座標 More...
Mix::Vector3 | axis [3]
| XYZ軸 More...
Mix::Vector3 | length
| XYZ軸の半分の長さ More...
Mix::Vector3 | points [8]
| OBBの各頂点 More...

## Detailed Description

OBBクラス

## Member Enumeration Documentation

enum Mix::Geometry::OBB::AXIS

軸列挙定数

Enumerator
AXIS_X | X軸
AXIS_Y | Y軸
AXIS_Z | Z軸

## Constructor & Destructor Documentation

Mix::Geometry::OBB::OBB | ( | void |  | ) |

コンストラクタ

Mix::Geometry::OBB::OBB | ( | const Mix::Vector3 & | c,
|  | const Mix::Vector3 & | ax,
|  | const Mix::Vector3 & | ay,
|  | const Mix::Vector3 & | az,
|  | const Mix::Vector3 & | l
| ) |  |

コンストラクタ

Parameters

  [in] | c | 中心座標を表す Mix::Vector3 クラス
  [in] | ax | X軸を表す Mix::Vector3 クラス
  [in] | ay | Y軸をを表す Mix::Vector3 クラス
  [in] | az | Z軸をを表す Mix::Vector3 クラス
  [in] | l | XYZ軸の半分の長さを表す Mix::Vector3 クラス

## Member Function Documentation

void Mix::Geometry::OBB::ComputePoints | ( | void |  | ) |

設定された「中心座標」「XYZ軸」「XYZ軸の半分の長さ」を元にOBBの頂点座標(8つ)を求めます

## Member Data Documentation

Mix::Vector3 Mix::Geometry::OBB::center

中心座標

Mix::Vector3 Mix::Geometry::OBB::axis[3]

XYZ軸

Mix::Vector3 Mix::Geometry::OBB::length

XYZ軸の半分の長さ

Mix::Vector3 Mix::Geometry::OBB::points[8]

OBBの各頂点

The documentation for this class was generated from the following file:

- Mix/Geometry/OBB.h